image: ghcr.io/maxking/mailman-ci-runner

variables:
  LC_ALL: C.UTF-8
  LANG: C.UTF-8

python3.6:
  script:
    - tox -e py36
  except:
    variables:
      - $CORE_COMMIT_SHA

python3.7:
  script:
    - tox -e py37
  except:
    variables:
      - $CORE_COMMIT_SHA

python3.8:
  script:
    - tox -e py38
  except:
    variables:
      - $CORE_COMMIT_SHA

python3.9:
  script:
    - tox -e py39
  except:
    variables:
      - $CORE_COMMIT_SHA

lint:
  script:
    - tox -e qa
  except:
    variables:
      - $CORE_COMMIT_SHA

mypy:
  script:
    - tox -e mypy
  except:
    variables:
      - $CORE_COMMIT_SHA

docs:
  script:
    - tox -e docs
  except:
    variables:
      - $CORE_COMMIT_SHA
